import React from 'react';
import Form from './Form';
import { bindActionCreators } from 'redux';
import { connect } from 'react-redux';
import { Redirect } from 'react-router-dom'

import Spinner from './../../common/spinner';
import signIn from './../../../actions/auth/signIn';



const SignIn = ({ signIn, user }) => {
    return (
        user.isFetching
            ?
            <Spinner />
            : user.data
                ?
                <Redirect to='/' />
                : user.error
                    ?
                    (
                        <React.Fragment>
                            <Form signIn={signIn} requestError={user.error} />
                        </React.Fragment>
                    )
                    :
                    <Form signIn={signIn} />
    )
}



const mapStateToProps = state => ({
    user: state.signIn,
});
const mapDispatchToProps = dispatch => bindActionCreators({
    signIn
}, dispatch);


export default connect(mapStateToProps, mapDispatchToProps)(SignIn);
