import React from 'react';
import { reduxForm, Field } from 'redux-form';

import validate from './validate';
import formInput from './../../../common/formInput';

class Form extends React.Component {

    submit = ({ name, email, password }) => {
        const { signUp } = this.props;
        signUp({
            name,
            email,
            password
        })
    }

    render() {
        const { handleSubmit, requestError, invalid } = this.props;

        return (
            <div className="container">
                <div className="row">
                    <div className="col-md-8 col-10 col-lg-6 m-auto p-4 border rounded">

                        <form className="text-center" onSubmit={handleSubmit(this.submit)}>
                            {
                                requestError
                                    ?
                                    <p className="text-af text-uppercase">{requestError}</p>
                                    :
                                    null
                            }

                            <div className="form-group border p-4">
                                <label className="text-uppercase">Name</label>
                                <Field type="text" name='name' className="form-control" placeholder="example" component={formInput} />

                                <label className="text-uppercase pt-3">Email address</label>
                                <Field type="email" name='email' className="form-control" placeholder="name@example.com" component={formInput} />
                            </div>

                            <div className="form-group border p-4">
                                <label className="text-uppercase">Password</label>
                                <Field type="password" name='password' className="form-control" component={formInput} />

                                <label className="text-uppercase pt-3">Password Confirmation</label>
                                <Field type="password" name='passwordConfirmation' className="form-control" component={formInput} />
                            </div>

                            <button type="submit" className="btn btn-primary" disabled={invalid}>Sign In!</button>
                        </form>
                    </div>
                </div>
            </div>
        )
    }
}

export default reduxForm({
    form: "SignUp",
    validate
})(Form)
