import React from 'react';
import Form from './Form';
import { bindActionCreators } from 'redux';
import { connect } from 'react-redux';
import { Redirect } from 'react-router-dom';

import Spinner from './../../common/spinner';
import signUp from './../../../actions/auth/signUp';

const SignUp = ({ status, signUp }) => (
    status.isFetching
        ?
        <Spinner />
        : status.isSuccessful
            ?
            <Redirect to='/sign-in' />
            : status.error
                ?
                <Form signUp={signUp} requestError={status.error} />
                :
                <Form signUp={signUp} />
)

const mapStateToProps = state => ({
    status: state.signUp
});
const mapDispatchToProps = dispatch => bindActionCreators({
    signUp
}, dispatch);

export default connect(mapStateToProps, mapDispatchToProps)(SignUp);