import React, { lazy } from 'react';

import Landing from './../components/public/landing';
import * as routes from './../constants/routes';

const SignIn = lazy(() => import('./../components/public/signIn'));
const SignUp = lazy(() => import('./../components/public/signUp'));

const ProfilePage = lazy(() => import('../components/user/ProfilePage'))

const CardsCreator = lazy(() => import('./../components/admin/CardsCreator'))

export default [
    {
        path: routes.LANDING,
        access: 'public',
        component: Landing
    },
    {
        path: routes.SIGN_IN,
        access: 'public',
        component: SignIn
    },
    {
        path: routes.SIGN_UP,
        access: 'public',
        component: SignUp
    },
    {
        path: routes.HOME,
        access: 'user-only',
        component: () => <div>home</div>
    },
    {
        path: routes.CATEGORIES,
        access: 'user-only',
        component: () => <div>categories</div>
    },
    {
        path: routes.PROFILE,
        access: 'user-only',
        component: ProfilePage
    },
    {
        path: routes.TESTS,
        access: 'user-only',
        component: () => <div>test</div>
    },
    {
        path: '/admin',
        access: 'admin-only',
        component: () => <div>Some admin-only component</div>
    },
    {
        path: routes.DELETE_USER,
        access: 'admin-only',
        component: () => <div>delete user</div>
    },
    {
        path: routes.CREATE_TEST,
        access: 'public',
        component: CardsCreator
    },
    {
        access: 'public',
        component: () => <div>404</div>
    },
]