import * as actionTypes from './../../constants/auth';
import initialState from './../initialState';

export default function signInReducer(state = initialState.logOut, {type, error}) {

    switch (type) {
        case actionTypes.LOG_OUT_REQUEST: {
            return {
                ...state,
                isFetching: true
            }
        }
        case actionTypes.LOG_OUT_REQUEST_SUCCESS: {
            return {
                ...state,
                isFetching: false,
                isSuccessful: true
            }
        }
        case actionTypes.LOG_OUT_REQUEST_FAILURE: {
            return {
                ...state,
                isFetching: false,
                error
            }
        }
        default: {
            return state;
        }
    }
}