import React, { Suspense } from "react";
import { Switch } from "react-router-dom";

import ProtectedRoute from './components/common/protectedRoute';
import config from './configs/routerConfig';

import Header from './components/public/Header';
import Spinner from './components/common/spinner';

const router = props => (
    <div className="app">
        <Header />
        <Suspense fallback={<Spinner />}>
            <Switch>
                {config.map(route =>
                    <ProtectedRoute
                        path={route.path}
                        component={route.component}
                        access={route.access}
                        key={route.path}
                        exact
                    />
                )}
            </Switch>
        </Suspense>
    </div>
)

export default router;
