import { put, call } from 'redux-saga/effects';
import axios from 'axios';

import { LOG_OUT_URL } from './../../constants/auth';
import storageKey from './../../utils/storageKey';
import { logOutFailure, logOutSuccess } from './../../actions/auth/logOut';

const removeItem = () => {
    localStorage.removeItem(storageKey);
}

export default function* ({ payload }) {
    try {
        const user = yield call(() =>
            axios.get(LOG_OUT_URL, payload)
                .then(({ data }) => data)
        )

        yield call(removeItem);
        yield put(logOutSuccess(user));
    }
    catch ({ message }) {
        yield put(logOutFailure(message));
    }
}