import { put, call } from 'redux-saga/effects';
import axios from 'axios';

import { SIGN_IN_URL } from './../../constants/auth';
import storageKey from './../../utils/storageKey';
import { signInSuccess, signInFailure } from './../../actions/auth/signIn';
import { defaultConfig as config } from '../../configs/requestsConfigs';

const setItem = (value) => {
    localStorage.setItem(storageKey, value);
}

export default function* ({ payload }) {
    try {
        const user = yield call(() =>
            axios.post(SIGN_IN_URL, payload, config)
                .then(({ data }) => data)
        )

        yield call(setItem, user.token);
        yield put(signInSuccess(user));
    }
    catch ({ message }) {
        yield put(signInFailure(message));
    }
}